Skip to main content
PATCH
/
checkout
/
sessions
/
{checkout_session}
Copy of Create Checkout Session
curl --request PATCH \
  --url https://api-sandbox.y.uno/v1/checkout/sessions/{checkout_session} \
  --header 'Content-Type: application/json' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>' \
  --data '
{
  "country": "BR",
  "amount": {
    "currency": "ARS"
  },
  "alternative_amount": {
    "currency": "ARS"
  },
  "merchant_order_id": "007",
  "payment_description": "Payment Test",
  "account_id": "{{account_id}}"
}
'
{
  "merchant_order_id": "007",
  "checkout_session": "c67ce158-6053-4661-a1de-aed5c945b935",
  "country": "BR",
  "payment_description": "Payment Test",
  "callback_url": null,
  "amount": {
    "currency": "ARS",
    "value": 100
  },
  "created_at": "2025-11-14T00:43:22.719648Z",
  "metadata": null,
  "workflow": "SDK_CHECKOUT",
  "installments": {
    "plan_id": null,
    "plan": null
  },
  "used": false
}
Update an existing checkout session with this endpoint. Only fields you send will be updated.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

checkout_session
string
required

Body

application/json
merchant_order_id
string
required

The unique identifier of the customer's order (MAX 255; MIN 3).

payment_description
string
required

The description of the payment (MAX 255; MIN 3).

country
enum<string>
required

The customer's country (MAX 2; MIN 2; ISO 3166-1).

Available options:
AR,
BO,
BR,
CL,
CO,
CR,
EC,
SV,
GT,
HN,
MX,
NI,
PA,
PY,
PE,
US,
UY
account_id
string
default:{{account_id}}
required

The unique identifier of the account. You find this information on the Yuno dashboard (UUID, 36 chars).

customer_id
string

The unique identifier of the customer, created using the Create Customer endpoint (UUID, 36 chars).

callback_url
string

The URL where we will redirect your customer after making the purchase. Required for alternative payment methods with redirection. (MAX 526; MIN 3)

amount
object

Specifies the payment amount object, with the value and currency.

alternative_amount
object

Alternative currency representation of the transaction amount.

metadata
object[]

Specifies a list of metadata objects. You can add up to 120 metadata objects.

workflow
enum<string>

Checkout workflow type.

Available options:
SDK_CHECKOUT,
CHECKOUT,
SDK_SEAMLESS
installments
object

The object to send the installment plan created in Yuno to show your customers and let them choose from. This optional field is used in case a particular installments plan needs to be used in the session. if not sent, we will display the installment plan created for the account for each scenario, if any.

Response

200

merchant_order_id
string
Example:

"007"

checkout_session
string
Example:

"c67ce158-6053-4661-a1de-aed5c945b935"

country
string
Example:

"BR"

payment_description
string
Example:

"Payment Test"

callback_url
any
amount
object
created_at
string
Example:

"2025-11-14T00:43:22.719648Z"

metadata
any
workflow
string
Example:

"SDK_CHECKOUT"

installments
object
used
boolean
default:true
Example:

false